import { ComponentProps } from "react"

type Props = ComponentProps<'svg'>

const CompleteIcon = ({ ...props }: Props) => {
    return (
        <svg xmlns="http://www.w3.org/2000/svg" width="17" height="17" viewBox="0 0 17 17" fill="none" {...props}>
            <path d="M8.37746 16.0367C12.5833 16.0367 16.0466 12.5735 16.0466 8.36764C16.0466 4.16911 12.576 0.698517 8.3701 0.698517C4.17157 0.698517 0.708344 4.16911 0.708344 8.36764C0.708344 12.5735 4.17157 16.0367 8.37746 16.0367ZM8.37746 14.353C5.06129 14.353 2.39952 11.6838 2.39952 8.36764C2.39952 5.05146 5.05393 2.38234 8.3701 2.38234C11.6936 2.38234 14.3554 5.05146 14.3627 8.36764C14.3701 11.6838 11.6936 14.353 8.37746 14.353ZM7.5907 11.8676C7.87011 11.8676 8.12011 11.7206 8.28187 11.4705L11.5172 6.44851C11.6201 6.28675 11.701 6.10292 11.701 5.93381C11.701 5.53675 11.3554 5.27204 10.9804 5.27204C10.7378 5.27204 10.5245 5.4044 10.3627 5.66911L7.56864 10.1544L6.25982 8.51469C6.08335 8.28675 5.89952 8.19852 5.67158 8.19852C5.28187 8.19852 4.9657 8.50734 4.9657 8.9044C4.9657 9.08822 5.03923 9.25734 5.17157 9.42646L6.87011 11.478C7.07599 11.7353 7.30393 11.8676 7.5907 11.8676Z" fill="#6C9B7D" />
        </svg>
    )
}

export default CompleteIcon